SND_SOC_COMPONENT_TO(9)

NAME
snd_soc_component_to_codec - Casts a component to the CODEC it is embedded in

SYNOPSIS

struct snd_soc_codec * snd_soc_component_to_codec(struct snd_soc_component * component);

ARGUMENTS

component
    The component to cast to a CODEC

DESCRIPTION

This function must only be used on components that are known to be CODECs. Otherwise the behavior is undefined.

COPYRIGHT